Bug 175685 - Printing fails with EPSON Stylus C42
Printing fails with EPSON Stylus C42
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 18:19 EST by John Horne
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-04 07:11:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
printconf output (2.91 KB, text/plain)
2006-01-03 18:27 EST, John Horne
no flags Details

  None (edit)
Description John Horne 2005-12-13 18:19:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Running system-config-printer gives this output:

   No match for USB device:
     mfr "EPSON"
     model "Stylus C42"
     desc "EPSON Stylus C42"
     cmdset "ESCPL2,BDC,D4"

Although system-config-printer allows me to select the Epson stylus C42UX driver, it just does not seem to want to work. I get nothing but blank pages, and then the printer 'stops'. I have to power-cycle printer just to get my PC to recognise it again.

Version-Release number of selected component (if applicable):
foomatic-3.0.2-19

How reproducible:
Always

Steps to Reproduce:
1. Install FC4
2. Connect Epson printer to USB port
3. Run system-config-printer as root
  

Actual Results:  system-config-printer gave the above error message. Printer did not work correctly.

Expected Results:  Printer should be recognised and work correctly.

Additional info:
Comment 1 Tim Waugh 2006-01-03 07:51:06 EST
The warning message will no longer occur in FC5.

How are you printing?  Did you try printing a test page using
system-config-printer, or something else?
Comment 2 John Horne 2006-01-03 08:12:42 EST
Yes, I was using system-config-printer. Invoking the command gives the message;
trying to print a test page from the GUI displayed causes the printer to
suddenly stop.
Comment 3 Tim Waugh 2006-01-03 12:01:59 EST
Please attach the output of 'printconf-tui --Xexport'.  Thanks.
Comment 4 John Horne 2006-01-03 18:25:42 EST
Attached is a file with the printconf-tui output.

I have resolved the printer stopping problem. My PC has USB type A connections,
but the printer has a type B connector. I replaced the USB A->B cable I was
using with a new one and the printer seems to work fine now.



John.
Comment 5 John Horne 2006-01-03 18:27:31 EST
Created attachment 122729 [details]
printconf output
Comment 6 Tim Waugh 2006-01-04 07:11:50 EST
Closing, as it was a hardware problem.  Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.